Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1276829 - kwin crash
Summary: kwin crash
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kwin
Version: 22
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-31 03:37 UTC by Elbin Pallimalil
Modified: 2016-07-19 19:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:21:28 UTC
Type: Bug


Attachments (Terms of Use)
ps -e u|grep kwin (584 bytes, text/plain)
2015-10-31 03:37 UTC, Elbin Pallimalil
no flags Details
bt of kwin instance 1 (40.83 KB, text/plain)
2015-10-31 03:38 UTC, Elbin Pallimalil
no flags Details
bt of kwin instance 2 (35.35 KB, text/plain)
2015-10-31 03:39 UTC, Elbin Pallimalil
no flags Details
ps -e u|grep kwin (After updating to kwin-5.4.2-3) (584 bytes, text/plain)
2015-11-01 14:57 UTC, Elbin Pallimalil
no flags Details
bt of kwin instance 1 (After updating to kwin-5.4.2-3) (40.71 KB, text/plain)
2015-11-01 14:58 UTC, Elbin Pallimalil
no flags Details
bt of kwin instance 2 (After updating to kwin-5.4.2-3) (35.35 KB, text/plain)
2015-11-01 14:59 UTC, Elbin Pallimalil
no flags Details


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 346857 0 None None None Never

Description Elbin Pallimalil 2015-10-31 03:37:13 UTC
Created attachment 1088122 [details]
ps -e u|grep kwin

Description of problem:
KDE desktop becomes unresponsive. I am able to move the mouse cursor but cannot click on any window.


Version-Release number of selected component (if applicable):
KDE 4.14.11
kwin-5.4.2-1.fc22.x86_64


How reproducible:
Occurs randomly. Usually happens when a new window or application is opened. Eg: click on a text file in Dolphin that opens in kwrite.


Steps to Reproduce:
1.
2.
3.

Actual results:
Screen should respond to mouse clicks.


Expected results:
Desktop goes unresponsive.


Additional info:
I logged into a console when this happened. It seemed kwin crashed. I have attached the output from ps (ps -e u|grep kwin). 

I have also attached the backtraces of the two kwin instances.

Comment 1 Elbin Pallimalil 2015-10-31 03:38:28 UTC
Created attachment 1088123 [details]
bt of kwin instance 1

Comment 2 Elbin Pallimalil 2015-10-31 03:39:02 UTC
Created attachment 1088124 [details]
bt of kwin instance 2

Comment 3 Fedora Update System 2015-10-31 13:16:57 UTC
kwin-5.4.2-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fce1600839

Comment 4 Rex Dieter 2015-10-31 13:17:55 UTC
either install the update or switch back to breeze window decorations (as a temporary workaround until you can get the update)

Comment 5 Elbin Pallimalil 2015-11-01 03:49:16 UTC
kwin-5.4.2-3.fc22 does not fix the issue. The screen still randomly freezes.

Comment 6 Rex Dieter 2015-11-01 12:02:45 UTC
Which window decoration are you using?

Maybe it's not the same one as fixed in that update then,
http://bugs.kde.org/show_bug.cgi?id=346857

(this only corresponds with the first backtrace you posted), the second one was indeed different.

Comment 7 Elbin Pallimalil 2015-11-01 14:19:27 UTC
I am using Plastik window decoration.

Comment 8 Rex Dieter 2015-11-01 14:25:19 UTC
OK, that update fixes at least one known crasher when using plastik.


If it still crashes, please post a fresh backtrace.

"hangs" are something else (and probably deserves a separate bug report)

Comment 9 Elbin Pallimalil 2015-11-01 14:57:10 UTC
Created attachment 1088363 [details]
ps -e u|grep kwin (After updating to kwin-5.4.2-3)

Comment 10 Elbin Pallimalil 2015-11-01 14:58:06 UTC
Created attachment 1088364 [details]
bt of kwin instance 1 (After updating to kwin-5.4.2-3)

Comment 11 Elbin Pallimalil 2015-11-01 14:59:10 UTC
Created attachment 1088365 [details]
bt of kwin instance 2 (After updating to kwin-5.4.2-3)

Attached backtraces of kwin crashes after updating kwin.

Comment 12 Rex Dieter 2015-11-01 15:04:38 UTC
Yes, separate bug please

Comment 13 Fedora Update System 2015-11-06 13:34:04 UTC
muon-5.4.3-1.fc22 kwin-5.4.3-1.fc22 kwrited-5.4.3-1.fc22 libkscreen-qt5-5.4.3-1.fc22 kscreen-5.4.3-1.fc22 kdeplasma-addons-5.4.3-1.fc22 kde-gtk-config-5.4.3-1.fc22 ksysguard-5.4.3-1.fc22 kdecoration-5.4.3-1.fc22 kf5-kwayland-5.4.3-1.fc22 polkit-kde-5.4.3-1.fc22 plasma-milou-5.4.3-1.fc22 kmenuedit-5.4.3-1.fc22 plasma-breeze-5.4.3-1.fc22 plasma-workspace-wallpapers-5.4.3-1.fc22 plasma-oxygen-5.4.3-1.fc22 kinfocenter-5.4.3-1.fc22 libksysguard-5.4.3-1.fc22 plasma-systemsettings-5.4.3-1.fc22 ksshaskpass-5.4.3-1.fc22 oxygen-fonts-5.4.3-1.fc22 kwayland-integration-5.4.3-1.fc22 khotkeys-5.4.3-1.fc22 bluedevil-5.4.3-1.fc22 plasma-desktop-5.4.3-1.fc22 plasma-nm-5.4.3-1.fc22 plasma-sdk-5.4.3-1.fc22 kgamma-5.4.3-1.fc22 plasma-pa-5.4.3-1.fc22 kde-cli-tools-5.4.3-1.fc22 sddm-kcm-5.4.3-1.fc22 plasma-workspace-5.4.3-1.fc22 powerdevil-5.4.3-1.fc22 khelpcenter-5.4.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-df56933d43

Comment 14 Fedora Update System 2015-11-08 12:26:57 UTC
bluedevil-5.4.3-1.fc22, kde-cli-tools-5.4.3-1.fc22, kde-gtk-config-5.4.3-1.fc22, kdecoration-5.4.3-1.fc22, kdeplasma-addons-5.4.3-1.fc22, kf5-kwayland-5.4.3-1.fc22, kgamma-5.4.3-1.fc22, khelpcenter-5.4.3-1.fc22, khotkeys-5.4.3-1.fc22, kinfocenter-5.4.3-1.fc22, kmenuedit-5.4.3-1.fc22, kscreen-5.4.3-1.fc22, ksshaskpass-5.4.3-1.fc22, ksysguard-5.4.3-1.fc22, kwayland-integration-5.4.3-1.fc22, kwin-5.4.3-1.fc22, kwrited-5.4.3-1.fc22, libkscreen-qt5-5.4.3-1.fc22, libksysguard-5.4.3-1.fc22, muon-5.4.3-1.fc22, oxygen-fonts-5.4.3-1.fc22, plasma-breeze-5.4.3-2.fc22, plasma-desktop-5.4.3-1.fc22, plasma-milou-5.4.3-1.fc22, plasma-nm-5.4.3-1.fc22, plasma-oxygen-5.4.3-1.fc22, plasma-pa-5.4.3-1.fc22, plasma-sdk-5.4.3-1.fc22, plasma-systemsettings-5.4.3-1.fc22, plasma-workspace-5.4.3-1.fc22, plasma-workspace-wallpapers-5.4.3-1.fc22, polkit-kde-5.4.3-1.fc22, powerdevil-5.4.3-1.fc22, sddm-kcm-5.4.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update plasma-breeze khelpcenter powerdevil plasma-workspace sddm-kcm kde-cli-tools plasma-pa kgamma plasma-sdk plasma-nm plasma-desktop bluedevil khotkeys kwayland-integration oxygen-fonts ksshaskpass plasma-systemsettings libksysguard kinfocenter plasma-oxygen plasma-workspace-wallpapers kmenuedit plasma-milou polkit-kde kf5-kwayland kdecoration ksysguard kde-gtk-config kdeplasma-addons kscreen libkscreen-qt5 kwrited kwin muon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-df56933d43

Comment 15 Elbin Pallimalil 2015-11-12 02:52:51 UTC
Those updates do not fix this issue.

Comment 16 Rex Dieter 2015-11-12 13:00:22 UTC
Like I said previously, you posted 2 backtraces, the updates here only fixes the first one (supposedly)

Comment 17 Fedora Update System 2015-11-14 01:52:37 UTC
bluedevil-5.4.3-1.fc22, kde-cli-tools-5.4.3-1.fc22, kde-gtk-config-5.4.3-1.fc22, kdecoration-5.4.3-1.fc22, kdeplasma-addons-5.4.3-1.fc22, kf5-kwayland-5.4.3-1.fc22, kgamma-5.4.3-1.fc22, khelpcenter-5.4.3-1.fc22, khotkeys-5.4.3-1.fc22, kinfocenter-5.4.3-1.fc22, kmenuedit-5.4.3-1.fc22, kscreen-5.4.3-1.fc22, ksshaskpass-5.4.3-1.fc22, ksysguard-5.4.3-1.fc22, kwayland-integration-5.4.3-1.fc22, kwin-5.4.3-1.fc22, kwrited-5.4.3-1.fc22, libkscreen-qt5-5.4.3-1.fc22, libksysguard-5.4.3-1.fc22, muon-5.4.3-1.fc22, oxygen-fonts-5.4.3-1.fc22, plasma-breeze-5.4.3-2.fc22, plasma-desktop-5.4.3-1.fc22, plasma-milou-5.4.3-1.fc22, plasma-nm-5.4.3-1.fc22, plasma-oxygen-5.4.3-1.fc22, plasma-pa-5.4.3-1.fc22, plasma-sdk-5.4.3-1.fc22, plasma-systemsettings-5.4.3-1.fc22, plasma-workspace-5.4.3-1.fc22, plasma-workspace-wallpapers-5.4.3-1.fc22, polkit-kde-5.4.3-1.fc22, powerdevil-5.4.3-1.fc22, sddm-kcm-5.4.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora End Of Life 2016-07-19 19:21:28 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.